/* ---------------- GLOBAL ---------------- */

html {
	/* define 1rem = 10px */
	font-size: 62.5%;
}

body {
	box-sizing: border-box;
	font-family: 'Lato', sans-serif;
	width: 100%;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: inherit;
}

a {
	cursor: pointer;
}

section {
	padding: 12rem 0;
}

/* ---------------- HEADER ---------------- */

.header {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	background: url('img/intro-bg.jpg'), rgba(0, 0, 0, 0.2);
	background-blend-mode: overlay;
	background-size: cover;
}

.header__navbar {
	position: fixed;
	top: 0;
	left: 0;
	background-color: white;
	border-bottom: 1px solid #eee;
	padding: 2.4rem 0;
	width: 100%;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.08);
	z-index: 100;
}

/* ---------------- NAVBAR ---------------- */

.navbar__title {
	font-weight: bold;
	font-size: 2.4rem;
	cursor: pointer;
	float: left;
}

.navbar__nav {
	list-style: none;
	text-transform: uppercase;
	display: flex;
	overflow: hidden;
	transition: max-height 0.2s;
	float: right;
}

.nav-item {
	cursor: pointer;
	font-size: 1.6rem;
	position: relative;
}

.nav-item a:link,
.nav-item a:visited {
	text-decoration: none;
	color: black;
	padding: 0.8rem 1.6rem;
	display: inline-block;
}

.nav-item::before {
	content: '';
	background-color: blue;
	position: absolute;
	transition: all 0.35s;
	transform-origin: left;
	bottom: 0;
	left: 0;
	height: 2px;
	width: 0;
}

.nav-item:hover::before {
	width: 100%;
}

.navbar__btn {
	display: none;
	cursor: pointer;
	float: right;
}

/* ---------------- INTRO  ---------------- */

.intro {
	text-align: center;
	color: white;
	margin: 16rem 0 8rem;
	padding: 16rem 0;
	overflow: hidden;
}

.intro__title {
	font-weight: bold;
	font-size: 8rem;
	text-transform: uppercase;
}

.intro__text {
	font-size: 2.4rem;
	margin: 1.6rem 0 6.4rem;
	font-weight: 300;
	padding: 0 15rem;
}

/* ---------------- BUTTON ---------------- */

.btn {
	padding: 1.2rem 3.2rem;
	display: inline-block;
	font-size: 2rem;
	color: white;
	font-family: inherit;
	background: linear-gradient(to right, #5ca9fb, #6372ff);
	text-decoration: none;
	border-radius: 100px;
	box-shadow: 0 1.6rem 3.2rem rgba(0, 0, 0, 0.2);
}

/* ---------------- HEADING ---------------- */

.heading-primary {
	font-size: 3.2rem;
	font-weight: 900;
	display: inline-block;
	text-transform: uppercase;
	position: relative;
	padding-bottom: 1.6rem;
}

.heading-primary--white {
	color: white;
}

.heading-primary::after {
	content: '';
	background: linear-gradient(to right, #5ca9fb, #6372ff);
	width: 6.4rem;
	height: 4px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
}

.heading-primary--white::after {
	background: rgba(255, 255, 255, 0.3);
}

/* ---------------- SECTION-FEATURES ---------------- */

#section-features {
	background-color: #f6f6f6;
}

.feature {
	display: flex;
	flex-direction: column;
	text-align: center;
	padding: 0 3.2rem;
	align-items: center;
}

.icon {
	background: linear-gradient(to right bottom, #5ca9fb, #6372ff);
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	border-radius: 50%;
	box-shadow: 0 1.6rem 3.4rem rgba(0, 0, 0, 0.2);
}

.feature__icon {
	font-size: 4rem;
	width: 10rem;
	height: 10rem;
}

.feature__title {
	font-size: 2rem;
	margin: 3.2rem 0 1.6rem;
	color: #333;
}

.feature__text {
	font-size: 1.6rem;
	color: #777;
}

/* ---------------- SECTION-ABOUT ---------------- */

.about {
	text-align: left;
	padding: 0 3.2rem;
}

.about__text {
	font-size: 1.6rem;
	color: #777;
	line-height: 1.8;
	margin: 2.4rem 0;
}

.about__img {
	width: 100%;
}

.list {
	list-style-type: none;
}

.list__item {
	font-size: 1.6rem;
	color: #777;
	margin-bottom: 0.8rem;
}

.list__item::before {
	content: '\f00c';
	font-family: 'FontAwesome';
	color: #5ca9fb;
	font-size: 1rem;
	font-weight: 300;
	padding-right: 0.5rem;
}

.about__secondary-title {
	font-size: 2.4rem;
	margin: 1.6rem 0;
}

.about__lists {
	display: flex;
	justify-content: space-around;
}

.center {
	text-align: center;
}

#section-about .heading-primary::after {
	left: 0;
	transform: none;
}

/* ---------------- SECTION-SERVICES ---------------- */

#section-services {
	background: linear-gradient(to right, #6372ff 0%, #5ca9fb 100%);
	text-align: center;
}

.section-title {
	margin-bottom: 7rem;
	text-align: center;
}

.section-title p {
	font-size: 2rem;
	margin-top: 1.6rem;
	color: #777;
}

#section-services p {
	color: rgba(255, 255, 255, 0.75);
}

.service {
	color: white;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.service__title {
	font-size: 2.4rem;
	margin: 1.6rem 0;
}

.service__text {
	font-size: 1.6rem;
	color: rgba(255, 255, 255, 0.75);
	padding: 0 3.2rem;
	line-height: 1.4;
}

.service__icon {
	width: 12rem;
	height: 12rem;
	font-size: 4.8rem;
}

/* ---------------- SECTION-GALLERY ---------------- */

#section-gallery {
	text-align: center;
}

.overlay {
	position: relative;
}

.overlay-content {
	position: absolute;
	left: 0;
	bottom: 0;
	text-align: center;
	font-size: 2.2rem;
	color: white;
	background: linear-gradient(
		to right,
		rgba(99, 114, 255, 0.8) 0%,
		rgba(92, 169, 251, 0.8) 100%
	);
	opacity: 0;
	transition: all 0.4s;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}

.overlay p {
	transform: translateY(1rem);
	transition: transform 0.4s;
	text-transform: uppercase;
}

.overlay:hover .overlay-content {
	opacity: 1;
}

.overlay:hover .overlay-content p {
	transform: translateY(0);
}

/* ---------------- SECTION-COMMENTS ---------------- */

#section-comments {
	background: #f6f6f6;
}

.comment {
	padding: 0 3.2rem;
}

.comment__avatar {
	float: left;
	width: 6.4rem;
	height: 6.4rem;
	border-radius: 50%;
	overflow: hidden;
	margin-right: 1.6rem;
}

.comment__text {
	font-style: italic;
	font-size: 1.6rem;
	color: #777;
}

.comment__author {
	font-size: 1.6rem;
	color: #666;
	font-weight: bold;
	margin-top: 0.8rem;
}

.comment__author::before {
	content: '-';
	text-transform: capitalize;
}

.comment__content {
	overflow: hidden;
}

.comment__text::after,
.comment__text::before {
	content: '"';
}

/* ---------------- SECTION-TEAM ---------------- */

.member {
	padding: 2rem;
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.member__name {
	font-size: 2rem;
	margin: 1rem 0 0.5rem;
}

.member__role {
	font-size: 1.5rem;
	color: #777;
}

/* ---------------- ASSETS ---------------- */

.mb-2 {
	margin-bottom: 3.2rem;
}

.mb-3 {
	margin-bottom: 4.8rem;
}

.img-fluid {
	width: 100%;
}

@media screen and (max-width: 768px) {
	html {
		/* define 1rem = 9px */
		font-size: 56.25%;
	}

	.intro__text {
		padding: 0;
	}

	.mb-md-2 {
		margin-bottom: 3.2rem;
	}

	.mb-md-3 {
		margin-bottom: 4.8rem;
	}

	.navbar__nav {
		flex-direction: column;
		clear: both;
		max-height: 0;
		float: none;
	}

	.navbar__btn {
		display: block;
	}

	.member__photo {
		width: 20rem;
		height: 20rem;
	}

	.nav-item a:link,
	.nav-item a:visited {
		padding-top: 2rem;
		display: block;
	}
}

@media screen and (min-width: 1500px) {
	html {
		font-size: 68.75%;
	}
}
